Create a Room
POST
/api/v1/rooms
const url = 'https://api.yggy.tech/api/v1/rooms';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"title":"example","projectIds":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/rooms \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "projectIds": [ "example" ] }'Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ” Media type application/json
object
title
required
string
projectIds
required
Array<string>
Example generated
{ "title": "example", "projectIds": [ "example" ]}Responses
Section titled “ Responses ”Created
Media type application/json
object
id
required
string
title
required
string
createdByUserId
required
string
canEdit
required
boolean
canDelete
required
boolean
projects
required
Array<object>
object
projectId
required
string
name
required
string
slug
required
string
cards
required
Array<object>
object
id
required
string
type
required
string
title
required
string | null
x
required
integer
y
required
integer
width
required
integer
height
required
integer
availability
required
string
unavailableReason
required
string | null
projectId
required
string | null
content
required
object
key
additional properties
connectors
required
Array<object>
object
id
required
string
fromCardId
required
string
toCardId
required
string
label
required
string | null
version
required
integer
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "cards": [ { "type": "note", "availability": "available", "unavailableReason": "not_shared" } ]}Invalid request
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Unauthorized
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Forbidden
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}